TOPDIR = ..\..

TARGET                  = belpic.dll
TARGET2                 = scgui_win32.res 

HEADERS			= opensc.h pkcs15.h emv.h \
			  errors.h types.h \
			  cardctl.h asn1.h log.h

HEADERSDIR		= $(TOPDIR)\src\include\opensc

OBJECTS			= sc.obj ctx.obj module.obj asn1.obj log.obj base64.obj padding.obj \
			  errors.obj sec.obj card.obj iso7816.obj dir.obj ctbcs.obj \
			  portability.obj \
			  pkcs15.obj pkcs15-cert.obj pkcs15-data.obj pkcs15-pin.obj \
			  pkcs15-prkey.obj pkcs15-pubkey.obj pkcs15-sec.obj \
			  pkcs15-wrap.obj pkcs15-algo.obj \
			  pkcs15-cache.obj reader-pcsc.obj \
			  card-belpic.obj scgui_win32.obj $(TARGET2)

RSC_PROJ=/l 0x813 /fo"scgui_win32.res"
GUI_RC = scgui_win32.rc

all: install-headers $(TARGET2) $(TARGET)

!INCLUDE $(TOPDIR)\win32\Make.rules.mak

$(TARGET): $(OBJECTS) $(TARGET2)
	perl $(TOPDIR)\win32\makedef.pl $*.def $* $(OBJECTS)
	link $(LINKFLAGS) /dll /def:$*.def /implib:$*.lib /out:$(TARGET) $(OBJECTS) ..\scconf\scconf.lib ..\scdl\scdl.lib ..\..\..\pcscproxy\winscarp.lib \
		advapi32.lib gdi32.lib user32.lib shell32.lib ole32.lib

$(TARGET2): $(GUI_RC)
	rc $(RSC_PROJ) $(GUI_RC)

